-- MySQL dump 10.13  Distrib 5.7.17, for Win64 (x86_64)
--
-- Host: 192.168.160.23    Database: loc_indoor
-- ------------------------------------------------------
-- Server version	5.5.5-10.1.28-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `aps`
--

DROP TABLE IF EXISTS `aps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descricao` varchar(50) COLLATE utf8_bin NOT NULL,
  `MAC` varchar(20) COLLATE utf8_bin NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `ap_offset` float NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aps`
--

LOCK TABLES `aps` WRITE;
/*!40000 ALTER TABLE `aps` DISABLE KEYS */;
INSERT INTO `aps` VALUES (1,'Biblioteca','28:34:a2:0d:93:b0',198,173.2,0),(2,'Projetor Sala 10','ec:f0:0e:0d:7f:d5',840,134.2,0),(3,'Projetor Sala 11','ec:f0:0e:0d:80:48',666,134.2,0),(4,'Gabinete 02','00:1d:1c:f4:82:76',1320,61,0),(5,'Sala 03','28:34:a2:0d:93:10',1093,131,0),(6,'Auditorio','28:34:a2:0d:93:d0',1350,130,0),(7,'Oficina 01','54:4a:00:2a:ab:20',1660,130,0),(8,'Laboratorio 02','ec:f0:0e:0d:7f:d5',840,210,0),(10,'Laboratorio 04','00:fe:c8:3c:13:e0',525,155,0),(11,'Sala 13','28:34:a2:0d:93:20',471,151,0),(12,'Sala 01','28:34:a2:0d:92:c0',1243,100,0),(13,'Impressora','6a:07:15:0e:bd:bb',1024,205,0);
/*!40000 ALTER TABLE `aps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `beacon_info`
--

DROP TABLE IF EXISTS `beacon_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `beacon_info` (
  `id_beacon` int(11) NOT NULL,
  `id_sala` int(11) NOT NULL,
  KEY `id_beacon` (`id_beacon`),
  KEY `id_sala` (`id_sala`),
  CONSTRAINT `beacon_info_ibfk_1` FOREIGN KEY (`id_beacon`) REFERENCES `beacons` (`id`),
  CONSTRAINT `beacon_info_ibfk_2` FOREIGN KEY (`id_sala`) REFERENCES `salas` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `beacon_info`
--

LOCK TABLES `beacon_info` WRITE;
/*!40000 ALTER TABLE `beacon_info` DISABLE KEYS */;
INSERT INTO `beacon_info` VALUES (2,14),(2,15),(2,16),(2,17),(2,18),(2,19),(2,5),(2,6),(2,20),(2,7),(2,21),(2,22),(2,23),(2,24),(2,25),(4,41),(4,42),(4,43),(4,44),(4,45),(4,46),(4,47),(4,48),(1,4),(1,8),(1,2),(1,9),(1,1),(1,10),(1,12),(1,11),(3,26),(3,30),(3,27),(3,28),(3,31),(3,29),(3,32),(3,33),(3,34),(3,35),(3,36),(3,40),(3,39),(3,37),(3,38),(1,13),(4,49);
/*!40000 ALTER TABLE `beacon_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `beacons`
--

DROP TABLE IF EXISTS `beacons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `beacons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descricao` varchar(50) COLLATE utf8_bin NOT NULL,
  `MAC` varchar(20) COLLATE utf8_bin NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  `bb_offset` float NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `beacons`
--

LOCK TABLES `beacons` WRITE;
/*!40000 ALTER TABLE `beacons` DISABLE KEYS */;
INSERT INTO `beacons` VALUES (1,'Beacon 01','9C:5C:F9:F3:E2:E3',1415,160,0),(2,'Beacon 02','B2:00:00:00:00:00',970,80,0),(3,'Beacon 03','B3:00:00:00:00:00',540,80,0),(4,'Beacon 04','B4:00:00:00:00:00',180,80,0);
/*!40000 ALTER TABLE `beacons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horarios`
--

DROP TABLE IF EXISTS `horarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `horarios` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_sala` int(11) NOT NULL,
  `horario` varchar(7) COLLATE utf8_bin NOT NULL,
  `professor` varchar(50) COLLATE utf8_bin NOT NULL,
  `disciplina` varchar(100) COLLATE utf8_bin NOT NULL,
  `curso` varchar(100) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_sala` (`id_sala`),
  CONSTRAINT `horarios_ibfk_1` FOREIGN KEY (`id_sala`) REFERENCES `salas` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `horarios`
--

LOCK TABLES `horarios` WRITE;
/*!40000 ALTER TABLE `horarios` DISABLE KEYS */;
INSERT INTO `horarios` VALUES (1,1,'09:00','Nuno Veloso','Programação Mobile','Desenvolvimento de Software'),(2,1,'10:00','Nuno Veloso','Programação Mobile','Desenvolvimento de Software'),(3,1,'11:00','Miriam Reis','Tópicos de Design de Interação','Desenvolvimento de Software'),(4,1,'12:00','Miriam Reis','Tópicos de Design de Interação','Desenvolvimento de Software'),(5,5,'09:00','Conceicao Tavares','Engenharia de Software','Desenvolvimento de Software'),(6,5,'10:00','Conceicao Tavares','Engenharia de Software','Desenvolvimento de Software'),(7,5,'11:00','Conceicao Tavares','Engenharia de Software','Desenvolvimento de Software');
/*!40000 ALTER TABLE `horarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `salas`
--

DROP TABLE IF EXISTS `salas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `salas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sala_id` varchar(3) COLLATE utf8_bin NOT NULL,
  `sala_nome` varchar(20) COLLATE utf8_bin NOT NULL,
  `PosX` float NOT NULL,
  `PosY` float NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `salas`
--

LOCK TABLES `salas` WRITE;
/*!40000 ALTER TABLE `salas` DISABLE KEYS */;
INSERT INTO `salas` VALUES (1,'Seg','Segurança',1536,210),(2,'O01','Oficina 01',1625,210),(3,'O02','Oficina 02',1530,120),(4,'Sec','Secretaria',1455,48),(5,'S03','Sala 03',1100,140),(6,'S05','Sala 05',1015,210),(7,'S07','Sala 07',935,255),(8,'G01','Gabinete 01',1385,45),(9,'G02','Gabinete 02',1310,45),(10,'G03','Gabinete 03',1260,45),(11,'S01','Sala 01',1260,200),(12,'S02','Sala 02',1260,140),(13,'Aud','Auditorio',1345,118),(14,'G04','Gabinete 04',1100,45),(15,'G05','Gabinete 05',1015,45),(16,'G06','Gabinete 06',945,45),(17,'G07','Gabinete 07',900,45),(18,'G08','Gabinete 08',845,45),(19,'S04','Sala 04',1015,140),(20,'S06','Sala 06',1000,255),(21,'S08','Sala 08',920,210),(22,'S09','Sala 09',920,140),(23,'S10','Sala 10',830,140),(24,'L01','Laboratorio 01',1100,210),(25,'L02','Laboratorio 02',830,210),(26,'G09','Gabinete 09',666,45),(27,'G10','Gabinete 10',595,45),(28,'G11','Gabinete 11',550,45),(29,'G12','Gabinete 12',505,45),(30,'G13','Gabinete 13',460,45),(31,'G14','Gabinete 14',420,45),(32,'G15','Gabinete 15',375,45),(33,'S11','Sala 11',666,140),(34,'S12','Sala 12',590,140),(35,'S13','Sala 13',480,140),(36,'S14','Sala 14',400,140),(37,'L03','Laboratorio 03',666,210),(38,'L04','Laboratorio 04',575,210),(39,'L05','Laboratorio 05',485,210),(40,'L06','Laboratorio 06',400,210),(41,'G16','Gabinete 16',240,45),(42,'G17','Gabinete 17',200,45),(43,'G18','Gabinete 18',155,45),(44,'G19','Gabinete 19',110,45),(45,'S15','Sala 15',230,140),(46,'S16','Sala 16',135,140),(47,'Bib','Biblioteca',210,210),(48,'Bar','Cafetaria',100,250),(49,'Ter','Terraço',10,80);
/*!40000 ALTER TABLE `salas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `IUPI` varchar(50) COLLATE utf8_bin NOT NULL,
  `ROLE` varchar(20) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('c0b801c8-6a16-46e9-9185-21f728246a1a','ADM');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-01-11 22:59:03
